%global git_commit e85c68d9f84f955cbe9f3d4c730561580f6cfcf9
%global git_date 20130403

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone git://git.osmocom.org/gr-osmosdr
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

%{?filter_setup:
%filter_provides_in %{python_sitearch}/osmosdr/.*\.so$
%filter_setup
}

Name:             gr-osmosdr
URL:              http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
Version:          0.0.1
Release:          1.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, python-devel, gnuradio-devel, boost-devel, doxygen
BuildRequires:    graphviz, swig, rtl-sdr-devel
#BuildRequires:    libusb1-devel
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Communications
Summary:          Common software API for various radio hardware
Source0:          %{name}-%{version}-%{git_suffix}.tar.bz2

%description
Primarily gr-osmosdr supports the OsmoSDR hardware, but it also
offers a wrapper functionality for FunCube Dongle,  Ettus UHD
and rtl-sdr radios. By using gr-osmosdr source you can take
advantage of a common software api in your application(s)
independent of the underlying radio hardware.

%package devel
Summary:          Development files for gr-osmosdr
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}

%description devel
Development files for gr-osmosdr.

%prep
%setup -q

%build
mkdir build
cd build
%cmake ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot}

# remove swig
rm -f %{buildroot}%{_includedir}/osmosdr/swig/*
rmdir %{buildroot}%{_includedir}/osmosdr/swig

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING
%{_libdir}/*.so.*
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/*

%files devel
%{_includedir}/osmosdr
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Apr  3 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-1.20130403gite85c68d9
- Initial version
